<template>
    <div>
        <h2>{{ state.count }}</h2>
        <button @click="countUp">Count Up</button> |
        <button @click="countDown">Count Down</button> |
        <button @click="reset">Reset</button>
    </div>
</template>

<script setup>
    // import { ref } from 'vue';
    // const count = ref(0)
    
    import {reactive} from 'vue';
    
    const state = reactive({count:0})
    function countUp(){
        state.count++
    }
    function countDown(){
        state.count--
    }
    function reset(){
        state.count = 0
    }
</script>